#![no_std]
#![no_main]

use lib::*;

extern crate lib;

const MOD: u64 = 1_000_000_007;

fn factorial(n: u64) -> u64 {
    if n == 0 {
        1
    } else {
        n * factorial(n - 1) % MOD
    }
}

fn main() -> usize {
    print!("Input n: ");

    let input = lib::stdin().read_line();

    // prase input as u64
    let n = input.parse::<u64>().unwrap();

    if n > 1_000_000 {
        println!("n must be less than 1_000_000");
        return 1;
    }

    // calculate factorial
    let result = factorial(n);

    // print result
    println!("The factorial of {} under modulo {} is {}.", n, MOD, result);

    0
}

entry!(main);
